<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_07afa3e4c6840" . "a90ca78db3521d" . "fbe2b" => base64_decode("c3RkQ2xhc3" . "M="), "_c5aeb46d4987229cd0033323a7f8" . "6836" => base64_decode("b2Jq" . "ZWN0" . "cw=="), "_d9e86995f0bc6219b3" . "823d8422326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2" . "dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "aggr" . "egat" . "ion" => base64_decode("YWdnc" . "mVnYX" . "Rpb24" . "="), "_ead9f774" . "6c5d5e280" . "1ce570483" . "7fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9u" . "IEFORCA="), "_79a5c686" . "2da55a81b" . "bba54a4e9" . "1b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZ" . "WN0cyBERVNDLCB1c2VyX2lkIEFTQw=="), "_0f939e9a0c1b17" . "527bce221f42ee8" . "27e" => base64_decode("IEdST1VQIEJZIH" . "VzZXJfaWQpIHQ="), "use" . "r_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d9e86995f0bc" . "6219b3823d842" . "2326153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_79a5c6862da55a81bbba54a" . "4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["aggregati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["use" . "r_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c5aeb46d49872" . "29cd0033323a7f" . "86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ead9f7746c5d5" . "e2801ce5704837" . "fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0f939e9a0c1b17527bce221f42ee827" . "e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_07afa3e4c6840a90ca78db3521dfbe2" . "b"];
    }
}